Summary: An implementation of the Hypertext Transfer Protocol version 2 in C
Name: nghttp2
Version: 1.55.1
Release: 1%{?dist}
License: MIT
URL: https://nghttp2.org/
Source0: https://github.com/tatsuhiro-t/nghttp2/releases/download/v%{version}/nghttp2-%{version}.tar.xz
BuildRequires: gcc-c++ make
BuildRequires: CUnit-devel c-ares-devel 
BuildRequires: libev-devel libxml2-devel zlib-devel 
BuildRequires: openssl-devel systemd-devel python3-devel
Requires: libnghttp2 = %{version}-%{release}
%{?systemd_requires}

%description
nghttp2 is an implementation of HTTP/2 and its header compression algorithm HPACK in C.

%package -n libnghttp2
Summary: A library implementing the HTTP/2 protocol

%description -n libnghttp2
libnghttp2 is a library implementing the Hypertext Transfer Protocol
version 2 (HTTP/2) protocol in C.

%package -n libnghttp2-devel
Summary: Files needed for building applications with libnghttp2
Requires: libnghttp2 = %{version}-%{release}
Requires: pkgconfig

%description -n libnghttp2-devel
The libnghttp2-devel package includes libraries and header files needed
for building applications with libnghttp2.

%prep
%autosetup
sed -e '1 s|^#!/.*python|&3|' -i script/fetch-ocsp-response

%build
%configure \
    PYTHON=%{__python3}                     \
    --disable-static                        \
    --disable-hpack-tools                   \
    --disable-python-bindings               \
    --with-libxml2                          \
    --without-spdylay
 
sed -i libtool                              \
    -e 's|^runpath_var=.*|runpath_var=|'    \
    -e 's|^hardcode_libdir_flag_spec=".*"$|hardcode_libdir_flag_spec=""|'  

%make_build

%install
%make_install
install -d %{buildroot}%{_unitdir}
install -p -m0444 contrib/nghttpx.service %{buildroot}%{_unitdir}

rm -f "%{buildroot}%{_libdir}/libnghttp2.la"

rm -f "%{buildroot}%{_datadir}/doc/nghttp2/README.rst"

%post
%systemd_post nghttpx.service

%postun
%systemd_postun nghttpx.service

%check
export "LD_LIBRARY_PATH=%{buildroot}%{_libdir}:$LD_LIBRARY_PATH"
%make_build check

%files
%{_bindir}/h2load
%{_bindir}/nghttp*
%{_datadir}/nghttp2
%{_unitdir}/nghttpx.service
%{_mandir}/man1/h2load.1*
%{_mandir}/man1/nghttp*

%files -n libnghttp2
%license COPYING
%{_libdir}/libnghttp2.so.*

%files -n libnghttp2-devel
%doc README.rst
%{_includedir}/nghttp2
%{_libdir}/pkgconfig/libnghttp2.pc
%{_libdir}/libnghttp2.so

%changelog
* Thu Aug 17 2023 Shuo Wang <abushwang@tencent.com> - 1.55.1-1
- update to 1.55.1

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.48.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.48.0-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Jul 12 2022 Wang Zhe <bessiewang@tencent.com> - 1.48.0-1
- initial build
